#!/bin/sh

# Удаляем служебные файлы Arch
# rm -rf \{arch\}
# find -type d -name ".arch-ids" -print0 | xargs -r0 rm -rf --
# Удаляем служебные файлы Monotone
rm -rf _MTN
rm -rf .mtn-ignore
# Удаляем архивные копии emacs
find -type f -name '*~' -print0 | xargs -r0 rm -f --

if [ -f /etc/debian_version ] ; then
    PATTERN='Debian'
else
    PATTERN='ALTLinux'
fi

locale | grep "LANG" | grep "UTF-8$"
if [ $? -eq 0 ] ; then
    # UTF8 locale
    LOCALEPATTERN='UTF8'
else
    # 8-bit locale
    LOCALEPATTERN='8BIT'
fi

cat home/mrkooll/Xresources | sed "s/^! $LOCALEPATTERN //g" > home/mrkooll/Xresources.tmp && mv -f home/mrkooll/Xresources.tmp home/mrkooll/Xresources
cat home/mrkooll/fvwm/fvwm2rc | sed "s/^# $LOCALEPATTERN //g" > home/mrkooll/fvwm/fvwm2rc.tmp && mv -f home/mrkooll/fvwm/fvwm2rc.tmp home/mrkooll/fvwm/fvwm2rc
cat home/mrkooll/fvwm/ConfigFvwmTaskBar | sed "s/^# $LOCALEPATTERN //g" > home/mrkooll/fvwm/ConfigFvwmTaskBar.tmp && mv -f home/mrkooll/fvwm/ConfigFvwmTaskBar.tmp home/mrkooll/fvwm/ConfigFvwmTaskBar
cat home/mrkooll/fvwm/menuActions | sed "s/^# $LOCALEPATTERN //g" > home/mrkooll/fvwm/menuActions.tmp && mv -f home/mrkooll/fvwm/menuActions.tmp home/mrkooll/fvwm/menuActions

cat home/mrkooll/fvwm/fvwm2rc | sed "s/^# $PATTERN //g" > home/mrkooll/fvwm/fvwm2rc.tmp
mv -f home/mrkooll/fvwm/fvwm2rc.tmp home/mrkooll/fvwm/fvwm2rc

mv home/mrkooll/fvwm home/mrkooll/.fvwm
mv home/mrkooll/.fvwm/fvwm2rc home/mrkooll/.fvwm/.fvwm2rc
mv home/mrkooll/xxkb home/mrkooll/.xxkb
mv home/mrkooll/xxkbrc home/mrkooll/.xxkbrc
mv home/mrkooll/xxkbrc.1 home/mrkooll/.xxkbrc.1
mv home/mrkooll/xxkbrc.2 home/mrkooll/.xxkbrc.2
mv home/mrkooll/Xresources home/mrkooll/.Xresources


find -type d |
while read d;
do chmod 0755 "$d";
done

find -type f |
while read f;
do chmod 0644 "$f";
done

chmod 0755 home/mrkooll/.fvwm/Keymap.py
chmod 0755 home/mrkooll/.fvwm/WindowMaker-Lock
chmod 0755 home/mrkooll/.fvwm/keys.sh
chmod 0755 home/mrkooll/.fvwm/xsession
chmod 0755 home/mrkooll/.fvwm/uterm
chmod 0755 home/mrkooll/.fvwm/koiterm

if [ -n $1 ] ; then
   if [ $1 == "install" ] ; then
      mv -f home /
   fi
fi

# Local Variables:
# mode: sh
# coding: utf-8-unix
# comment-column: 0
# comment-start: "# "
# comment-end: ""
# End:
